Bug 1051678 - Review Request: glite-lb-client-java - Java implementation of the L&B service client
Summary: Review Request: glite-lb-client-java - Java implementation of the L&B service...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-10 21:03 UTC by František Dvořák
Modified: 2015-07-08 17:15 UTC (History)
2 users (show)

Fixed In Version: glite-lb-client-java-2.0.5-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 03:39:03 UTC
Type: ---
manisandro: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description František Dvořák 2014-01-10 21:03:32 UTC
Spec URL: http://scientific.zcu.cz/fedora/glite-lb-client-java-2.0.5-1/glite-lb-client-java.spec
SRPM URL: http://scientific.zcu.cz/fedora/glite-lb-client-java-2.0.5-1/glite-lb-client-java-2.0.5-1.fc21.src.rpm
Description: JAVA implementation of the L&B service client. Supports producing (logging) events into L&B, event and job status queries, and receiving notifications.
Fedora Account System Username: valtri

Notes:
- package contains JNI module
- EPEL 6 version: http://scientific.zcu.cz/fedora/glite-lb-client-java-2.0.5-1/el6/glite-lb-client-java.spec
- koji scratch builds:
  - F21: http://koji.fedoraproject.org/koji/taskinfo?taskID=6386652
  - EL6: http://koji.fedoraproject.org/koji/taskinfo?taskID=6386713
- I'm upstream maintainer

Comment 1 Sandro Mani 2014-01-14 18:18:20 UTC
Comments:
- Maven packages do not need to (Build)Require jpackage-utils. It is
  pulled in by maven-local
- Javadoc subpackages should not have Requires: jpackage-utils
- Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in glite-lb-
     client-java-axis , glite-lb-client-java-javadoc

fedora-review points out some other issues which are ignorable:
- Maven packages should use new style packaging => this can be ignored since maven is not used to build the package
- Unversioned so-files in private %_libdir subdirectory => the .so file is not in ld path

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Packages have proper BuildRequires/Requires on jpackage-utils
  Note: Maven packages do not need to (Build)Require jpackage-utils. It is
  pulled in by maven-local
  See: https://fedoraproject.org/wiki/Packaging:Java
- Maven packages should use new style packaging
  Note: If possible update your package to latest guidelines
  See: https://fedoraproject.org/wiki/Packaging:Java#Apache_Maven
- Javadoc subpackages should not have Requires: jpackage-utils
  Note: jpackage-utils requires are automatically generated by the buildsystem
  See: https://fedoraproject.org/wiki/Packaging:Java


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 6 files have unknown license.
     Detailed output of licensecheck in /home/sandro/.Data/Desktop/glite-lb-
     client-java/review-glite-lb-client-java/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: POM files have correct Maven mapping
     Note: Some add_maven_depmap calls found. Please check if they are correct
     or update to latest guidelines
[-]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in glite-lb-
     client-java-axis , glite-lb-client-java-javadoc
[?]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Packages are noarch unless they use JNI
     Note: glite-lb-client-java subpackage is not noarch. Please verify
     manually
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: glite-lb-client-java-2.0.5-1.fc21.x86_64.rpm
          glite-lb-client-java-axis-2.0.5-1.fc21.noarch.rpm
          glite-lb-client-java-javadoc-2.0.5-1.fc21.noarch.rpm
          glite-lb-client-java-2.0.5-1.fc21.src.rpm
glite-lb-client-java.x86_64: W: devel-file-in-non-devel-package /usr/lib64/glite-lb-client-java/libglite_lb_sendviasocket.so
glite-lb-client-java-axis.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint glite-lb-client-java-axis glite-lb-client-java glite-lb-client-java-javadoc
glite-lb-client-java-axis.noarch: W: no-documentation
glite-lb-client-java.x86_64: W: devel-file-in-non-devel-package /usr/lib64/glite-lb-client-java/libglite_lb_sendviasocket.so
3 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
glite-lb-client-java-axis (rpmlib, GLIBC filtered):
    glite-jobid-api-java
    glite-lb-client-java
    jakarta-commons-lang
    jpackage-utils

glite-lb-client-java (rpmlib, GLIBC filtered):
    glite-jobid-api-java
    jakarta-commons-lang
    java
    jpackage-utils
    libc.so.6()(64bit)
    libglite_lb_sendviasocket.so.0()(64bit)
    libm.so.6()(64bit)
    rtld(GNU_HASH)

glite-lb-client-java-javadoc (rpmlib, GLIBC filtered):
    glite-lb-client-java
    jpackage-utils



Provides
--------
glite-lb-client-java-axis:
    glite-lb-client-java-axis
    mvn(org.glite:lb-client-java-axis)

glite-lb-client-java:
    glite-lb-client-java
    glite-lb-client-java(x86-64)
    libglite_lb_sendviasocket.so.0()(64bit)
    mvn(org.glite:lb-client-java)

glite-lb-client-java-javadoc:
    glite-lb-client-java-javadoc



Unversioned so-files
--------------------
glite-lb-client-java: /usr/lib64/glite-lb-client-java/libglite_lb_sendviasocket.so

Source checksums
----------------
http://scientific.zcu.cz/emi/emi.lb.client-java/glite-lb-client-java-2.0.5.tar.gz :
  CHECKSUM(SHA256) this package     : ef6d423213617d053794795d5663243b1a786f80d4d89d8abfcb03d723a582c4
  CHECKSUM(SHA256) upstream package : ef6d423213617d053794795d5663243b1a786f80d4d89d8abfcb03d723a582c4


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -n glite-lb-client-java
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java, C/C++
Disabled plugins: Python, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Sandro Mani 2014-01-14 21:47:42 UTC
Please ignore the %{?_isa} issue, the subpackages being noarch this does not apply.

Comment 4 Sandro Mani 2014-01-16 00:06:27 UTC
Good to go, approved!

Comment 5 František Dvořák 2014-01-16 07:12:59 UTC
New Package SCM Request
=======================
Package Name: glite-lb-client-java
Short Description: Java implementation of the L&B service client
Owners: valtri
Branches: f19 f20 el6
InitialCC:

Comment 6 Gwyn Ciesla 2014-01-16 12:48:58 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-01-16 15:54:37 UTC
glite-lb-client-java-2.0.5-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/glite-lb-client-java-2.0.5-2.fc20

Comment 8 Fedora Update System 2014-01-16 15:55:29 UTC
glite-lb-client-java-2.0.5-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/glite-lb-client-java-2.0.5-2.fc19

Comment 9 Fedora Update System 2014-01-16 15:57:09 UTC
glite-lb-client-java-2.0.5-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/glite-lb-client-java-2.0.5-2.el6

Comment 10 Fedora Update System 2014-01-18 04:29:10 UTC
glite-lb-client-java-2.0.5-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 11 Fedora Update System 2014-02-04 19:06:33 UTC
glite-lb-client-java-2.0.5-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 12 Fedora Update System 2014-02-05 03:37:07 UTC
glite-lb-client-java-2.0.5-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 13 Fedora Update System 2014-02-05 03:39:03 UTC
glite-lb-client-java-2.0.5-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Fedora Update System 2015-06-16 20:09:28 UTC
glite-lb-client-java-2.0.7-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/glite-lb-client-java-2.0.7-3.el7

Comment 15 Fedora Update System 2015-07-08 17:15:36 UTC
glite-lb-client-java-2.0.7-3.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.